QGIS Application - Bug report #21241
Copy/Paste between tables is much more slower compare to 2.18
2019-02-12 10:43 AM - Cristian Guillen

Status: Open

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:3.4.4 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29059
Description

Copy and paste a lot of records from a Geopackage table to a PostGIS table and save changes take much longer in QGIS 3.4.4 than in
QGIS 2.18.

Related issues:
Duplicated by QGIS Application - Bug report # 21305: pasting features to post... Closed 2019-02-18

History

#1 - 2019-02-12 11:49 AM - Giovanni Manghi
- Status changed from Open to Feedback

Can define "a lot"? Can you also attach a sample gpkg (I assume the postgis table is equal to the gpkg one)?

#2 - 2019-02-12 12:20 PM - Cristian Guillen

| attach a sample: https://drive.google.com/file/d/1SXuUqyVVIpj3CHQUgh10po84QzWhJdjK/view?usp=sharing

Yes, Postgis table has similar structure as gpkg table.

#3 - 2019-02-12 12:39 PM - Giovanni Manghi

- Priority changed from Normal to High

- Subject changed from Copy/Paste between tables (Geopackage to Postgis) to Copy/Paste between tables is much more slower compare to 2.18
- Status changed from Feedback to Open

- Regression? changed from No to Yes

Confirmed, just a few seconds max on 2.18... minutes (or even possible complete freeze, | stopped the program after 5 min) on 3.4.4... copy/pasting
~18000 records/features, that do not seem much anyway.

#4 - 2019-02-21 10:05 AM - Alessandro Pasotti
- Duplicated by Bug report #21305: pasting features to postgis (or other slow/remote backends) is very slow added
